@css(css/game.css)

@js(https://maps.googleapis.com/maps/api/js?key=<?= $_ENV['GOOGLE_MAPS_JS_API_KEY'] ?>)
@js(js/game.js)

@extends(templates/layout_full)

@section(pagemodal)
<div id="multi" class="modal">
    <h2>Multiplayer (beta)</h2>
    <p class="marginTop">Waiting for players...</p>
    <div id="players" class="marginTop"></div>
    <button id="startMultiGameButton" class="button fullWidth marginTop green">Start game</button>
</div>
@endsection

@section(subheader)
    <span id="mapName" class="bold">Loading map...</span><!--
 --><span>Round <span id="currentRound" class="bold"></span></span><!--
 --><span>Score <span id="currentScoreSum" class="bold"></span></span>
@endsection

@section(main)
    <div id="countdown">
        <p id="countdownTime" class="mono bold"></p>
    </div>
    <div id="panoCover"></div>
    <div id="panningBlockerCover"></div>
    <div id="panorama"></div>
    <div id="showGuessButtonContainer">
        <button id="showGuessButton" class="fullWidth">Show guess map</button>
    </div>
    <div id="guess">
        <div id="closeGuessButtonContainer" class="buttonContainer marginBottom">
            <button id="closeGuessButton" class="fullWidth gray">Close</button>
        </div>
        <div id="map"></div>
        <div id="guessButtonContainer" class="buttonContainer marginTop">
            <button id="guessButton" class="fullWidth" disabled>Guess</button>
        </div>
        <div id="resultInfo">
            <div id="distanceInfo">
                <p>You were <span id="distance" class="bold"></span> close.</p>
                <p>You didn't guess in this round.</p>
                <p class="bold">Game finished.</p>
            </div>
            <div id="scoreInfo">
                <p>You earned <span id="score" class="bold"></span> points.</p>
                <p>You got <span id="scoreSum" class="bold"></span> points in total.</p>
            </div>
            <div>
                <div id="scoreBarBase">
                    <div id="scoreBar"></div>
                </div>
            </div>
        </div>
        <div id="continueButtonContainer" class="buttonContainer marginTop">
            <button id="continueButton" class="fullWidth">Continue</button>
            <button id="showSummaryButton" class="fullWidth">Show summary</button>
            <button id="startNewGameButton" class="fullWidth">Play this map again</button>
            <a href="/" id="goToStart"><button class="fullWidth">Go back to the menu</button></a> 
        </div>
    </div>
    <div id="navigation" class="circleControl">
        <div id="compassContainer" class="controlItem">
            <div>
                <img src="<?= $_ENV['STATIC_ROOT'] ?>/img/circle_background.svg?rev=<?= REVISION ?>" alt="Circle Background" class="controlBackground" />
            </div>
            <div>
                <img id="compass" src="<?= $_ENV['STATIC_ROOT'] ?>/img/compass.svg?rev=<?= REVISION ?>" alt="compass icon" class="controlIcon" />
            </div>
        </div>
        <div id="returnToStart" class="controlItem">
            <div>
                <img src="<?= $_ENV['STATIC_ROOT'] ?>/img/circle_background.svg?rev=<?= REVISION ?>" alt="Circle Background" class="controlBackground" />
            </div>
            <div>
                <img src="<?= $_ENV['STATIC_ROOT'] ?>/img/house-fill.svg?rev=<?= REVISION ?>" alt="Return to Start icon" class="controlIcon" />
            </div>
        </div>
    </div>
@endsection

@section(pageScript)
<script>
    var multiUrl = '<?= $_ENV['MULTI_WS_URL'] ?>';
    var roomId = <?= isset($roomId) ? '\'' . $roomId . '\'' : 'null' ?>;
    var mapId = <?= isset($mapId) ? '\'' . $mapId . '\'' : 'null' ?>;
    var challengeToken = <?= isset($challengeToken) ? '\'' . $challengeToken . '\'' : 'null' ?>;
</script>
@endsection
